# configureChannelCatalog - Configure Catalog capabilities for a channel

Call Frequency

Recommended usage: only once, at channel setup
Maximum usage: 1 per minute

Endpoint: POST /v1/catalog-configuration/channels/{channel_id}
Security: Bearer

## Path parameters:

  - `channel_id` (string, required)
    Connect Channel identifier

## Request fields (application/json; charset=UTF-8):

  - `behaviors` (object)

  - `behaviors.emit_group_of_products` (any)
    Connect standard attribute that can be used to group product updates.

  - `discount_prices` (object)

  - `discount_prices.lifecycle` (string, required)
    Granularity level at which the data is configured

Enum: "PER_STORE", "PER_SUB_CHANNEL"

  - `discount_prices.per_store_default` (object)
    Only applicable when lifecycle is PER_SUB_CHANNEL.
Configures whether a per-store default value is used as a fallback.

  - `discount_prices.per_store_default.support` (string)
    Whether the per-store default is required, optional, or unsupported

Enum: "REQUIRED", "OPTIONAL", "UNSUPPORTED"

  - `offer_configuration` (object)

  - `offer_configuration.custom_attributes` (array) — one of (discriminator: type):
    Attributes the sellers must configure for offer-related features
    - Boolean:
      - `default_value` (boolean)
        Default boolean value of the attribute, used for required attributes only
    - List:
      - `default_values` (array)
        Default values of the attribute (use the id in your attribute values), used for required attributes only
      - `max_size` (integer, required)
        Max number of values to select. 1 means selection of a single value.
      - `values` (array, required)
      - `values.id` (string, required)
        id
      - `values.labels` (array)
    - Numeric:
      - `default_value` (number)
        Default numeric value of the attribute, used for required attributes only
    - Text:
      - `default_value` (string)
        Default text value of the attribute, used for required attributes only
      - `max_size` (integer, required)
        Max characters size

  - `offer_configuration.custom_attributes.configuration_modes` (array, required)
    List of accepted configuration modes for providing the value

  - `offer_configuration.custom_attributes.descriptions` (array)
    Additional attribute descriptions

  - `offer_configuration.custom_attributes.descriptions.locale` (string, required)
    The language format can be ISO-639 or ISO-639_ISO-3166

  - `offer_configuration.custom_attributes.descriptions.value` (string, required)
    The localized value in this locale

  - `offer_configuration.custom_attributes.id` (string, required)
    Id of the attribute

  - `offer_configuration.custom_attributes.labels` (array, required)
    Labels of the attribute

  - `offer_configuration.custom_attributes.requirement_level` (string, required)
    Requirement level of the attribute

Enum: "OPTIONAL", "RECOMMENDED", "REQUIRED"

  - `offer_configuration.custom_attributes.type` (string, required)
    Enum: "Boolean", "Numeric", "Text", "List"

  - `offer_configuration.pricing_configuration` (object)
    Configuration for pricing capabilities.

  - `offer_configuration.pricing_configuration.discount_price_period` (object)
    Configuration for discount price period.

  - `offer_configuration.pricing_configuration.discount_price_period.end_date` (object, required)
    Pricing configuration field

  - `offer_configuration.pricing_configuration.discount_price_period.end_date.requirement_level` (string, required)
    Requirement level of the attribute

Enum: "OPTIONAL", "REQUIRED"

  - `offer_configuration.pricing_configuration.discount_price_period.start_date` (object, required)
    Pricing configuration field

  - `offer_configuration.pricing_configuration.discount_price_period.support` (string, required)
    Support for the discount price period

Enum: "SUPPORTED", "UNSUPPORTED"

  - `standard_prices` (object)

  - `stock_quantities` (object)
    Stock configuration. Unlike prices, stock does not support a per-store default value
as a fallback when configured per sub-channel.

  - `stock_quantities.lifecycle` (string, required)
    Granularity level at which the data is configured

Enum: "PER_STORE", "PER_SUB_CHANNEL"

  - `use_case_configurations` (object)
    Configuration for offer related features by use case. 
This API provides the configuration of required offer fields by use cases

  - `use_case_configurations.offer_creation` (object, required)
    Configuration for offer creation

  - `use_case_configurations.offer_creation.optional` (object)
    Optional fields for the use case

  - `use_case_configurations.offer_creation.optional.custom_attributes` (array)

  - `use_case_configurations.offer_creation.optional.standard_attributes` (array)

  - `use_case_configurations.offer_creation.required` (object, required)
    Required fields for the use case

  - `use_case_configurations.offer_creation.support` (string, required)
    Support for the use case

Enum: "SUPPORTED", "UNSUPPORTED"

  - `use_case_configurations.offer_update` (object, required)
    Configuration for offer update


## Response 202 fields
